20-11
2009

Problème de clés GPG des paquets Debian

Lorsque vous ajoutez des dépôts Debian, il peut vous arriver de rencontrer un problème de clés GPG

W: GPG error: http://www.backports.org lenny-backports Release: The following signatures couldn't be verified because the public key is not available: NO_PUBKEY EA8E8B2116BA136C
W: You may want to run apt-get update to correct these problems
Vous ne pouvez donc pas utiliser ces dépôts tant que vous n'aurez pas effectuer quelques opérations. Vous devez d'abord vérifier la clé et son propriétaire auprès du serveur du MIT.

gpg --keyserver pgpkeys.mit.edu --recv-key EA8E8B2116BA136C
gpg: directory `/root/.gnupg' created
gpg: new configuration file `/root/.gnupg/gpg.conf' created
gpg: WARNING: options in `/root/.gnupg/gpg.conf' are not yet active during this run
gpg: keyring `/root/.gnupg/secring.gpg' created
gpg: keyring `/root/.gnupg/pubring.gpg' created
gpg: requesting key 16BA136C from hkp server pgpkeys.mit.edu
gpg: /root/.gnupg/trustdb.gpg: trustdb created
gpg: key 16BA136C: public key "Backports.org Archive Key " imported
gpg: no ultimately trusted keys found
gpg: Total number processed: 1
gpg:               imported: 1
Vous devez ensuite l'ajouter à votre gestionnaire de clés des dépôts Debian.

gpg -a --export EA8E8B2116BA136C | apt-key add -
OK
Si tout s'est bien déroulé, apt-key vous répondra "OK". Refaites ensuite un apt-get update, et vous verrez que ce message d'avertissement a disparu et que vous pouvez utiliser le nouveau dépôts en question.

 

 

Aucun commentaire pour ce billet.

 

Votre commentaire